#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	sip

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	SIP - Python/C++ Bindings Generator
Name:		python%{PVER}-%{original_name}
Version:	4.12
Release:	1
License:	GNU/GPL
URL:		http://www.riverbankcomputing.co.uk/%{original_name}
Group:		Development/Tools
Source0: 	%{original_name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires:	python%{PVER}
Provides:	sip = %{version}-%{release}
Obsoletes:	sip <= %{version}-%{release}
Obsoletes:	sip <= 1:%{version}-%{release}
Obsoletes:	python25-sip <= %{version}-%{release}

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: python%{PVER}-devel

%description
SIP is a tool for generating bindings for C++ classes so that they can be
accessed as normal Python classes.  SIP takes many of its ideas from SWIG but,
because it is specifically designed for C++ and Python, is able to generate
tighter bindings.  SIP is so called because it is a small SWIG.

SIP was originally designed to generate Python bindings for KDE and so has
explicit support for the signal slot mechanism used by the Qt/KDE class
libraries.  However, SIP can be used to generate Python bindings for any C++
class library.

%package	devel
Summary:	Files needed to generate Python bindings for any C++ class library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	sip-devel = %{version}-%{release}
Obsoletes:	sip-devel <= %{version}-%{release}
Obsoletes:	sip-devel <= 1:%{version}-%{release}
Obsoletes:	python25-sip-devel <= %{version}-%{release}

%description	devel
This package contains files needed to generate Python bindings for any C++
classes library.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{original_name}-%{version}

%build
export sip_bin=sip%{PVER}
CFLAGS="$RPM_OPT_FLAGS" %{__python} configure.py 
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/sip
%{python_sitearch}/sip.so
%{python_sitearch}/sipconfig.py
%{python_sitearch}/sipdistutils.py

%files devel
%defattr(-,root,root)
%{_includedir}/python2.6/sip.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Dec 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.12-1
- Version update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.11.1-2
- added qt 4.7 fixes
* Tue Sep 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.11.1-1
- Version update
* Thu Feb 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.10-1
- Version update
* Fri Nov 13 2009 Christian Wasem <wasem@ccux-linux.de> 4.9.1-2
- rebuild against python26-2.6.3-1
* Sun Oct 25 2009 Christian Wasem <wasem@ccux-linux.de> 4.9.1-1
- Version update, build against python25-2.5.4-3
* Thu Jun 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.8-1
- Version update
- aligned to python 2.5 with fixit script
* Thu Feb 12 2009 Christian Wasem <wasem@ccux-linux.de> 4.7.9-1
- Version update
* Thu Jun 19 2008 Christian Metzen <metzench@ccux-linux.de> 4.7.6-1
- Version update
* Sat Mar 08 2008 Christian Wasem <wasem@ccux-linux.de> 4.7.4-1
- Version Update
* Thu Jan 18 2007 Simon Schmeisser <wrt@ccux-linux.de> 4.5.2-1
- Version Update
* Mon Sep 25 2006 Christian Metzen <metzench@ccux-linux.de> 20060924-1
- rebuild against latest python, version update to latest snapshot
* Tue Jul 11 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 4.4.5-1
- Version Update
* Thu May 11 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 4.4.3-1
- Version Update
* Sat Mar 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.4-1
- Version Update
* Wed Aug 31 2005 Christian Wasem <wasem@ccux-linux.de> 4.3-1
- Version Update to 4.3
* Sun Mar 06 2005 Christian Metzen <metzench@ccux-linux.de> 4.2.1-1
- Version Update to 4.2.1
* Sun Feb 20 2005 Christian Metzen <metzench@ccux-linux.de> 4.2-1
- Initial Release
